declare type IGlobalData = {
    InTuning: boolean,
    HideGui: boolean,
    InMenu: boolean,
    InChat: boolean,
    LoggedIn: boolean,
}

declare type AccountData = {
    regDate: string;
    points: number;
    adminLevel: string;
    faction: string;
    factionRank: string;
    group: string;
    groupRank: string;
    job: string;
    paycheck: Paycheck;
    licenses: Licenses;
    vehicles: VehicleData[];
    factionVehicles: VehicleData[];
    nextPayday: number;
    stateFaction: boolean;
    playTime: number;
    userWarn: number; 
}

declare type VehicleData = {
    Id: number;
    Model: number;
    Price: number;
};

declare type Paycheck = {
    financialHelp: number;
    financialInterest: number;
    vehicleTaxation: number;
    propertyTaxation: number;
    wage: number;
    amount: number;
    rentalFees: number;
    healthInsurance: number;
    factionMoney: number;
    otheramount: number;
}

declare type Licenses = {
    drivingLicenseCar: boolean;
    drivingLicenseBike: boolean;
    flightLicensePlane: boolean;
    weaponLicense: boolean;
}

declare type FactionRanks = {
    factionId: number,
    ranks: FactionRank[]
}

declare type FactionRank = {

}